SHA256
3
0
forked from pool/aaa_base

- chkconfig: bypass initscript enable/disable script if service

shadowed by systemd

OBS-URL: https://build.opensuse.org/package/show/Base:System/aaa_base?expand=0&rev=342
This commit is contained in:
Ruediger Oertel 2012-02-09 17:41:07 +00:00 committed by Git OBS Bridge
parent b7e4538537
commit 226588841e
4 changed files with 8 additions and 56 deletions

View File

@ -1,52 +0,0 @@
Index: b/files/etc/profile.d/alljava.sh
===================================================================
--- a/files/etc/profile.d/alljava.sh
+++ b/files/etc/profile.d/alljava.sh
@@ -9,37 +9,38 @@
# JDK_HOME, SDK_HOME
#
for JDIR in /usr/lib64/jvm /usr/lib/jvm /usr/java/latest /usr/java; do
- if ! test -d $JPATH; then
+ if ! test -d $JDIR; then
continue
fi
for JPATH in $JDIR $JDIR/java `ls -I 'java' -I 'jre' -d $JDIR/* 2>/dev/null` $JDIR/jre; do
- if ! test -x $JPATH/bin/java ; then
+ if ! test -x $JPATH/bin/java; then
continue
fi
- export JAVA_BINDIR=3D$JPATH/bin
- export JAVA_ROOT=3D$JPATH
- export JAVA_HOME=3D$JPATH
+ export JAVA_BINDIR=$JPATH/bin
+ export JAVA_ROOT=$JPATH
+ export JAVA_HOME=$JPATH
unset JDK_HOME
unset SDK_HOME
case "$JPATH" in
*jre*)
- export JRE_HOME=3D$JPATH
+ export JRE_HOME=$JPATH
;;
*)
- export JRE_HOME=3D$JPATH/jre
+ export JRE_HOME=$JPATH/jre
# it is development kit
if [ -x $JPATH/bin/javac ] ; then
- export JDK_HOME=3D$JPATH
- export SDK_HOME=3D$JPATH
+ export JDK_HOME=$JPATH
+ export SDK_HOME=$JPATH
+ break; # we found a JRE + SDK -- don't look any further
fi
;;
esac
done

View File

@ -1,3 +1,9 @@
-------------------------------------------------------------------
Thu Feb 9 17:38:47 UTC 2012 - ro@suse.com
- chkconfig: bypass initscript enable/disable script if service
shadowed by systemd
-------------------------------------------------------------------
Fri Jan 27 07:36:56 UTC 2012 - seife+obs@b1-systems.com

View File

@ -34,7 +34,6 @@ Group: System/Fhs
BuildRoot: %{_tmppath}/%{name}-%{version}-build
# run make package in checkout out git repo to recreate
Source: aaa_base.tar.bz2
Patch1: aaa_base-fix-alljava-bnc722252.diff
Source99: aaa_base-rpmlintrc
%description
@ -54,7 +53,6 @@ and convenience hacks).
%prep
%setup -n aaa_base
%patch1 -p1
%build
make CFLAGS="$RPM_OPT_FLAGS" CC="%{__cc}" %{?_smp_mflags}

View File

@ -1,3 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:33962d6b545078d9d29190c10a11988f3cefb5dade85043a9a6e45b50bfba613
size 98590
oid sha256:3ee954f18d76433f21f454bcabd69170952ea2fe2eb990bf7ace12325f215ab3
size 98692